<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DriverTachoReadoutIdentifier StructType
 * @subpackage Structs
 */
class DriverTachoReadoutIdentifier extends TachoReadoutIdentifier
{
    /**
     * The Drivers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifier
     */
    public $Drivers;
    /**
     * The DriverGroups
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfGroupIdentifier
     */
    public $DriverGroups;
    /**
     * Constructor method for DriverTachoReadoutIdentifier
     * @uses DriverTachoReadoutIdentifier::setDrivers()
     * @uses DriverTachoReadoutIdentifier::setDriverGroups()
     * @param \ArrayType\ArrayOfIdentifier $drivers
     * @param \ArrayType\ArrayOfGroupIdentifier $driverGroups
     */
    public function __construct(\ArrayType\ArrayOfIdentifier $drivers = null, \ArrayType\ArrayOfGroupIdentifier $driverGroups = null)
    {
        $this
            ->setDrivers($drivers)
            ->setDriverGroups($driverGroups);
    }
    /**
     * Get Drivers value
     * @return \ArrayType\ArrayOfIdentifier|null
     */
    public function getDrivers()
    {
        return $this->Drivers;
    }
    /**
     * Set Drivers value
     * @param \ArrayType\ArrayOfIdentifier $drivers
     * @return \StructType\DriverTachoReadoutIdentifier
     */
    public function setDrivers(\ArrayType\ArrayOfIdentifier $drivers = null)
    {
        $this->Drivers = $drivers;
        return $this;
    }
    /**
     * Get DriverGroups value
     * @return \ArrayType\ArrayOfGroupIdentifier|null
     */
    public function getDriverGroups()
    {
        return $this->DriverGroups;
    }
    /**
     * Set DriverGroups value
     * @param \ArrayType\ArrayOfGroupIdentifier $driverGroups
     * @return \StructType\DriverTachoReadoutIdentifier
     */
    public function setDriverGroups(\ArrayType\ArrayOfGroupIdentifier $driverGroups = null)
    {
        $this->DriverGroups = $driverGroups;
        return $this;
    }
}
